summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2013-03-16 08:55:30 +0000
committerUlrich Müller <ulm@gentoo.org>2013-03-16 08:55:30 +0000
commitf7d6af65e4327b06a75a113ebfae1182437f0273 (patch)
tree43ef517250eafff5cdfe7bb103d4a01ad5492039 /eclass
parentRemove epunt_cxx, bug #461904 (diff)
downloadgentoo-2-f7d6af65e4327b06a75a113ebfae1182437f0273.tar.gz
gentoo-2-f7d6af65e4327b06a75a113ebfae1182437f0273.tar.bz2
gentoo-2-f7d6af65e4327b06a75a113ebfae1182437f0273.zip
Sync eclasses from Emacs overlay.
elisp-common.eclass: Functions elisp-compile, elisp-make-autoload-file, elisp-install, and elisp-site-file-install now die on failure. elisp.eclass: Remove die commands that are no longer necessary because the called functions die themselves. Call readme.gentoo_create_doc and readme.gentoo_print_elog from readme.gentoo.eclass if these functions exist.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog11
-rw-r--r--eclass/elisp-common.eclass17
-rw-r--r--eclass/elisp.eclass14
3 files changed, 29 insertions, 13 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index bf26a0150619..4a4c6fdd78bf 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,15 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.739 2013/03/16 05:44:49 dirtyepic Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.740 2013/03/16 08:55:30 ulm Exp $
+
+ 16 Mar 2013; Ulrich Müller <ulm@gentoo.org> elisp.eclass,
+ elisp-common.eclass:
+ Sync eclasses from Emacs overlay.
+ elisp-common.eclass: Functions elisp-compile, elisp-make-autoload-file,
+ elisp-install, and elisp-site-file-install now die on failure.
+ elisp.eclass: Remove die commands that are no longer necessary because the
+ called functions die themselves. Call readme.gentoo_create_doc and
+ readme.gentoo_print_elog from readme.gentoo.eclass if these functions exist.
16 Mar 2013; Ryan Hill <dirtyepic@gentoo.org> toolchain.eclass:
Add cloog/isl support for gcc 4.8 (bug # 434816, patch by Kacper Kowalik).
diff --git a/eclass/elisp-common.eclass b/eclass/elisp-common.eclass
index fb161050b531..466818e47f9e 100644
--- a/eclass/elisp-common.eclass
+++ b/eclass/elisp-common.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp-common.eclass,v 1.83 2013/01/04 21:22:43 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp-common.eclass,v 1.84 2013/03/16 08:55:30 ulm Exp $
#
# @ECLASS: elisp-common.eclass
# @MAINTAINER:
@@ -50,7 +50,7 @@
# directory is added to the load-path which makes sure that all files
# are loadable.
#
-# elisp-compile *.el || die
+# elisp-compile *.el
#
# Function elisp-make-autoload-file() can be used to generate a file
# with autoload definitions for the lisp functions. It takes the output
@@ -70,7 +70,7 @@
# choose something else, but remember to tell elisp-site-file-install()
# (see below) the change, as it defaults to ${PN}.
#
-# elisp-install ${PN} *.el *.elc || die
+# elisp-install ${PN} *.el *.elc
#
# To let the Emacs support be activated by Emacs on startup, you need
# to provide a site file (shipped in ${FILESDIR}) which contains the
@@ -112,7 +112,7 @@
#
# Which is then installed by
#
-# elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
+# elisp-site-file-install "${FILESDIR}/${SITEFILE}"
#
# in src_install(). Any characters after the "-gentoo" part and before
# the extension will be stripped from the destination file's name.
@@ -168,6 +168,7 @@ EMACSFLAGS="-batch -q --no-site-file"
BYTECOMPFLAGS="-L ."
# @FUNCTION: elisp-emacs-version
+# @RETURN: exit status of Emacs
# @DESCRIPTION:
# Output version of currently active Emacs.
@@ -223,7 +224,7 @@ elisp-need-emacs() {
elisp-compile() {
ebegin "Compiling GNU Emacs Elisp files"
${EMACS} ${EMACSFLAGS} ${BYTECOMPFLAGS} -f batch-byte-compile "$@"
- eend $? "elisp-compile: batch-byte-compile failed"
+ eend $? "elisp-compile: batch-byte-compile failed" || die
}
# @FUNCTION: elisp-make-autoload-file
@@ -259,7 +260,7 @@ elisp-make-autoload-file() {
--eval "(setq generated-autoload-file (expand-file-name \"${f}\"))" \
-f batch-update-autoloads "${@-.}"
- eend $? "elisp-make-autoload-file: batch-update-autoloads failed"
+ eend $? "elisp-make-autoload-file: batch-update-autoloads failed" || die
}
# @FUNCTION: elisp-install
@@ -275,7 +276,7 @@ elisp-install() {
insinto "${SITELISP}/${subdir}"
doins "$@"
)
- eend $? "elisp-install: doins failed"
+ eend $? "elisp-install: doins failed" || die
}
# @FUNCTION: elisp-site-file-install
@@ -305,7 +306,7 @@ elisp-site-file-install() {
)
ret=$?
rm -f "${sf}"
- eend ${ret} "elisp-site-file-install: doins failed"
+ eend ${ret} "elisp-site-file-install: doins failed" || die
}
# @FUNCTION: elisp-site-regen
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index be7176e27422..7037399e8324 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.56 2013/01/04 21:22:43 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.57 2013/03/16 08:55:30 ulm Exp $
#
# @ECLASS: elisp.eclass
# @MAINTAINER:
@@ -151,7 +151,7 @@ elisp_src_configure() { :; }
# GNU Info files from them.
elisp_src_compile() {
- elisp-compile *.el || die
+ elisp-compile *.el
if [[ -n ${ELISP_TEXINFO} ]]; then
makeinfo ${ELISP_TEXINFO} || die
fi
@@ -165,9 +165,9 @@ elisp_src_compile() {
# ELISP_TEXINFO and documentation listed in the DOCS variable.
elisp_src_install() {
- elisp-install ${PN} *.el *.elc || die
+ elisp-install ${PN} *.el *.elc
if [[ -n ${SITEFILE} ]]; then
- elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
fi
if [[ -n ${ELISP_TEXINFO} ]]; then
set -- ${ELISP_TEXINFO}
@@ -177,6 +177,9 @@ elisp_src_install() {
if [[ -n ${DOCS} ]]; then
dodoc ${DOCS} || die
fi
+ if declare -f readme.gentoo_create_doc >/dev/null; then
+ readme.gentoo_create_doc
+ fi
}
# @FUNCTION: elisp_pkg_postinst
@@ -186,6 +189,9 @@ elisp_src_install() {
elisp_pkg_postinst() {
elisp-site-regen
+ if declare -f readme.gentoo_print_elog >/dev/null; then
+ readme.gentoo_print_elog
+ fi
}
# @FUNCTION: elisp_pkg_postrm